### Function

# Qmi MessageVoiceSetSupplementaryServiceInput new

since: 1.30

#### Declaration [src]

    QmiMessageVoiceSetSupplementaryServiceInput*
    qmi_message_voice_set_supplementary_service_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageVoiceSetSupplementaryServiceInput`.

Available since: 1.30

#### Return value

Type: `QmiMessageVoiceSetSupplementaryServiceInput`

The newly created `QmiMessageVoiceSetSupplementaryServiceInput`. The returned value should be freed with qmi_message_voice_set_supplementary_service_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.